Welcome! Log In Create A New Profile

Advanced

fpm +imagic

Posted by Anonymous User 
Anonymous User
fpm +imagic
June 02, 2010 01:22PM
Здравствуйте.

Поставил на центосе fpm, все замечательно.
Начал ставить imagic - проблема

yum install php-pecl-imagick.x86_64
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* addons: mirror.yandex.ru
* base: mirror.yandex.ru
* epel: mirror.yandex.ru
* extras: mirror.yandex.ru
* updates: mirror.yandex.ru
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-pecl-imagick.x86_64 0:2.2.1-3.el5 set to be updated
--> Processing Dependency: php-api = 20041225 for package: php-pecl-imagick
--> Processing Dependency: /usr/bin/pecl for package: php-pecl-imagick
--> Processing Dependency: /usr/bin/pecl for package: php-pecl-imagick
--> Running transaction check
---> Package php-pear.noarch 1:1.9.0-1.el5 set to be updated
--> Processing Dependency: php-cli >= 5.1.0-1 for package: php-pear
---> Package php-pecl-imagick.x86_64 0:2.2.1-3.el5 set to be updated
--> Processing Dependency: php-api = 20041225 for package: php-pecl-imagick
--> Running transaction check
---> Package php-cli.x86_64 0:5.3.2-2.el5 set to be updated
---> Package php-pecl-imagick.x86_64 0:2.2.1-3.el5 set to be updated
--> Processing Dependency: php-api = 20041225 for package: php-pecl-imagick
--> Finished Dependency Resolution
php-pecl-imagick-2.2.1-3.el5.x86_64 from epel has depsolving problems
--> Missing Dependency: php-api = 20041225 is needed by package php-pecl-imagick-2.2.1-3.el5.x86_64 (epel)
Error: Missing Dependency: php-api = 20041225 is needed by package php-pecl-imagick-2.2.1-3.el5.x86_64 (epel)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.


подскажите, как это вылечить?
Weirdan
Re: fpm +imagic
June 02, 2010 03:26PM
>
>
> 2010/6/2 <stanlee@newmail.ru>

> Error: Missing Dependency: php-api = 20041225 is needed by package
> php-pecl-imagick-2.2.1-3.el5.x86_64 (epel)
>

пакет требует PHP_API_VERSION=20041225 - это php 5.1, у вас стоит 5.3 . Имхо
лечить это не стоит, лучше найти пакет поновее.


--
Best regards,
Bruce Weirdan mailto:
weirdan@gmail.com
Anonymous User
Re: fpm +imagic
June 02, 2010 05:32PM
Re: fpm +imagic



Здравствуйте.

Я не так давно на центос перешел, если подскажешь какой репозиторий его содержит, буду признателен.







2010/6/2 &lt;stanlee@newmail.ru&gt;
Error: Missing Dependency: php-api = 20041225 is needed by package php-pecl-imagick-2.2.1-3.el5.x86_64 (epel)

пакет требует PHP_API_VERSION=20041225 - это php 5.1, у вас стоит 5.3 . Имхо лечить это не стоит, лучше найти пакет поновее.


--&nbsp;
&nbsp;Best regards,
&nbsp; &nbsp; &nbsp;Bruce Weirdan &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; mailto:weirdan@gmail.com
Weirdan
Re: fpm +imagic
June 02, 2010 06:32PM
2010/6/3 <stanlee@newmail.ru>

> Здравствуйте.
>
> Я не так давно на центос перешел, если подскажешь какой репозиторий его
> содержит, буду признателен.
>
> Сentos в глаза не видел, так что не подскажу. Если не найдете, то в крайнем
случае можете из сырцов через pecl поставить.

--
Best regards,
Bruce Weirdan mailto:
weirdan@gmail.com
No1zilla
Re: fpm +imagic
June 03, 2010 08:06AM
http://www.centos.org/modules/newbb/viewtopic.php?topic_id=21351
Не сложно поискать?

2010/6/3 Weirdan <weirdan@gmail.com>

>
>
> 2010/6/3 <stanlee@newmail.ru>
>
> Здравствуйте.
>>
>> Я не так давно на центос перешел, если подскажешь какой репозиторий его
>> содержит, буду признателен.
>>
>> Сentos в глаза не видел, так что не подскажу. Если не найдете, то в
> крайнем случае можете из сырцов через pecl поставить.
>
> --
> Best regards,
> Bruce Weirdan mailto:
> weirdan@gmail.com
>
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 99
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready